import { ScatterTriangulationSeriesDescription } from "./ScatterTriangulationSeriesDescription";
import { ColorScaleDescription } from "./ColorScaleDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class ScatterAreaSeriesDescription extends ScatterTriangulationSeriesDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private ew;
    get colorScale(): ColorScaleDescription;
    set colorScale(a: ColorScaleDescription);
    private e1;
    get colorMemberPath(): string;
    set colorMemberPath(a: string);
    private ev;
    get actualColorScale(): ColorScaleDescription;
    set actualColorScale(a: ColorScaleDescription);
    private ez;
    get colorMemberAsLegendLabel(): string;
    set colorMemberAsLegendLabel(a: string);
    private e0;
    get colorMemberAsLegendUnit(): string;
    set colorMemberAsLegendUnit(a: string);
}
